Package com.sas.lsaf.security.acl

## Class DefaultAcl

- java.lang.Object
- - com.sas.lsaf.security.acl.AbstractAcl
  - - com.sas.lsaf.security.acl.DefaultAcl

- All Implemented Interfaces:
    `java.io.Serializable`

      public class DefaultAcl
      extends AbstractAcl

  A DefaultAcl contains owner and access permission information for a given container object. It is a template that controls the permission set on any child object created directly underneath this container. The `DefaultAcl` maintains the association with the object that owns it, the user that will own any newly created child objects, and the collection of individual `AclEntry` objects that maintain fine-grained permissions that will be established on the newly created child instance.
  Since:
    2.1
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `DefaultAcl.OwnerPropagation` | The enumeration to determine the default owner of child items created underneath this container.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultAcl​(ObjectIdentity owningObjectIdentity)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `DefaultAcl.OwnerPropagation` | `getOwnerPropagation()` | Gets the OwnerPropagation value that will determine the owner of child items created underneath this container.
    `int` | `hashCode()` |
    `void` | `setOwnerPropagation​(DefaultAcl.OwnerPropagation ownerPropagation)` | Sets the OwnerPropagation value that will determine the owner of child items created underneath this container.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.security.acl.AbstractAcl

      `getEntries, getOwner, getOwningObjectIdentity, setAce, setEntries, setOwner`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultAcl

          public DefaultAcl​(ObjectIdentity owningObjectIdentity)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with default ACLs returned by the API.
      Parameters:
        `owningObjectIdentity` - object identity for which this default acl is defined

  - ### Method Detail

    - #### getOwnerPropagation

          public DefaultAcl.OwnerPropagation getOwnerPropagation()

      Gets the OwnerPropagation value that will determine the owner of child items created underneath this container. Default is `DefaultAcl.OwnerPropagation.CREATOR`.
      Returns:
        OwnerPropagation value for this default ACL.

    - #### setOwnerPropagation

          public void setOwnerPropagation​(DefaultAcl.OwnerPropagation ownerPropagation)

      Sets the OwnerPropagation value that will determine the owner of child items created underneath this container.
      Parameters:
        `ownerPropagation` - the OwnerPropagation value for this default ACL

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractAcl`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractAcl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractAcl`